[arch-commits] Commit in tt-rss/trunk (PKGBUILD tt-rss.install)

Anatol Pomozov anatolik at archlinux.org
Tue Aug 13 08:25:15 UTC 2019


    Date: Tuesday, August 13, 2019 @ 08:25:15
  Author: anatolik
Revision: 499047

upgpkg: tt-rss 1:19.2.r209.gb68db2d02-2

Add *.install file with an upgrade message

Added:
  tt-rss/trunk/tt-rss.install
Modified:
  tt-rss/trunk/PKGBUILD

----------------+
 PKGBUILD       |    3 ++-
 tt-rss.install |   11 +++++++++++
 2 files changed, 13 insertions(+), 1 deletion(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2019-08-13 03:35:37 UTC (rev 499046)
+++ PKGBUILD	2019-08-13 08:25:15 UTC (rev 499047)
@@ -6,7 +6,7 @@
 
 pkgname=tt-rss
 pkgver=19.2.r209.gb68db2d02
-pkgrel=1
+pkgrel=2
 epoch=1
 pkgdesc='Web-based news feed (RSS/Atom) aggregator'
 arch=(any)
@@ -14,6 +14,7 @@
 license=(GPL)
 backup=(etc/webapps/tt-rss/config.php)
 depends=(php)
+install=tt-rss.install
 optdepends=('mysql'
             'postgresql'
             'php-gd: for coloured feed badges')

Added: tt-rss.install
===================================================================
--- tt-rss.install	                        (rev 0)
+++ tt-rss.install	2019-08-13 08:25:15 UTC (rev 499047)
@@ -0,0 +1,11 @@
+# arg 1:  the new package version
+# arg 2:  the old package version
+post_upgrade() {
+  if [ "$(vercmp $2 1:19.2.r209.gb68db2d02-1)" -le 0 ]; then
+    cat << EOF
+===> Please make sure 'extension=intl' is enabled in PHP config (/etc/php/php.ini)
+===> Otherwise you'll get a 'PHP UConverter class is missing' error
+===> See https://wiki.archlinux.org/index.php/TT-RSS for more info
+EOF
+  fi
+}


More information about the arch-commits mailing list